.video-courses {
    padding-top: 48px;
    padding-bottom: 48px;
    gap: 24px;
}

.video-courses__header {
    justify-content: space-between;
    align-items: center;
}

.video-courses__header__button img,
.video-courses__footer__button img {
    width: 16px;
    height: 16px;
}

.video-courses__card {
    width: 100%;
    height: 100%;
    padding: 12px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    border: 1px solid #EBEDEF;
    border-radius: 14px;
    background: var(--bg);
}

.video-courses__cards--no-swiper .video-courses__card {
    max-width: 350px;
}

.video-courses__cards .cards-swiper__wrapper::after,
.video-courses__cards.cards-swiper .cards-swiper__wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    right: -1px;
    width: 226px;
    height: 100%;
    transition: all 0.4s;
    z-index: 2;
    pointer-events: none;
    background: linear-gradient(-90deg, #FFFFFF 26.45%, rgba(255, 255, 255, 0) 100%);
}

.video-courses__cards.cards-swiper .cards-swiper__wrapper::before {
    right: auto;
    left: -1px;
    background: linear-gradient(90deg, #FFFFFF 26.45%, rgba(255, 255, 255, 0) 100%);
}

.video-courses__cards.cards-swiper.is-beginning .cards-swiper__wrapper::before,
.video-courses__cards.cards-swiper.is-end .cards-swiper__wrapper::after {
    visibility: hidden;
    opacity: 0;
}

@media (min-width: 1025px) {
    .video-courses[data-count="3"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::before,
    .video-courses[data-count="3"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::after {
        visibility: hidden;
        opacity: 0;
    }
}

.video-courses[data-count="2"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::before,
.video-courses[data-count="2"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::after,
.video-courses[data-count="1"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::before,
.video-courses[data-count="1"] .video-courses__cards.cards-swiper .cards-swiper__wrapper::after {
    visibility: hidden;
    opacity: 0;
}

.video-courses__card .link {
    display: flex;
}

.video-courses__card__img-wrapper {
    position: relative;
    width: 100%;
    aspect-ratio: 304 / 160;
    display: flex;
    border-radius: 8px;
    overflow: hidden;
    cursor: pointer;
}

.video-courses__card__img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.video-courses__card__img-wrapper .player {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--bg);
    border-radius: 50%;
}

.video-courses__card__img-wrapper .player img {
    width: 24px;
    height: 24px;
}

.video-courses__card__title {
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    color: var(--black);
}

.video-courses__content__mobile {
    display: none;
}

@media (max-width: 1024px) {
    .video-courses__cards.cards-swiper.is-loop .cards-swiper__wrapper::after,
    .video-courses__cards.cards-swiper.is-loop .cards-swiper__wrapper::before {
        display: none;
    }
}

@media (max-width: 768px) {
    .video-courses {
        padding-top: 32px;
        padding-bottom: 32px;
        gap: 18px;
    }

    .video-courses__header__button {
        display: none;
    }

    .video-courses__header {
        justify-content: center;
    }

    .video-courses__title {
        text-align: center;
    }

    .video-courses__cards--no-swiper .video-courses__card {
        margin: 0 auto;
        max-width: 500px;
    }

    .video-courses__content__mobile {
        display: flex;
        gap: 18px;
    }

    .video-courses__footer__button {
        width: 100%;
    }

    .video-courses__cards.cards-swiper .cards-swiper__wrapper::before,
    .video-courses__cards.cards-swiper .cards-swiper__wrapper::after {
        display: none;
    }
}